package org.springblade.workorder.publicevent.feign;

import org.springblade.workorder.publicevent.entity.PublicEvent;
import org.springblade.workorder.publicevent.vo.PublicEventVO;
import org.springframework.stereotype.Component;
import javax.validation.Valid;
import java.util.List;

@Component
public class PublicEventClientFallback implements IPublicEventClient {
            /**
         * 详情
         */
        @Override
        public PublicEventVO detail(PublicEvent publicEvent) {
            return null;
        }

        /**
         * 查询 
         */
        @Override
        public List<PublicEventVO> list(PublicEvent publicEvent) {
            return null;
        }

    

        /**
         * 新增 
         */
        @Override
        public boolean save( PublicEvent publicEvent) {
            return false;
        }

        /**
         * 修改 
         */
        @Override
        public boolean update( PublicEvent publicEvent) {
            return false;
        }

        /**
         * 新增或修改 
         */
        @Override
        public boolean submit( PublicEvent publicEvent) {
            return false;
        }

    
        /**
         * 删除 
         */
        @Override
        public boolean remove( String ids) {
            return false;
        }

    }
